/* 
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: ...
   co-programmer: Patrick Boenzli
*/

//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY

#include "particle_emitter.h"

using namespace std;


/**
   \brief standard constructor
*/
ParticleEmitter::ParticleEmitter(const Vector& direction, float angle, float emissionRate, 
		  float velocity, float ttl)
{
   this->setClassName ("ParticleEmitter");
   this->direction = direction;
   this->angle = angle;
   this->emissionRate = emissionRate;
   this->velocity = velocity;
   this->ttl = ttl;
}



/**
   \brief standard destructor

*/
ParticleEmitter::~ParticleEmitter () 
{}
